Cannot Initiate Internet Explorer Browser

Discussions and Tech Support related to automating the iMacros Browser or Internet Explorer from any scripting and programming language, such as VBS (WSH), VBA, VB, Perl, Delphi, C# or C++.
Forum rules
Before asking a question or reporting an issue:
1. Please review the list of FAQ's.
2. Use the search box (at the top of each forum page) to see if a similar problem or question has already been addressed.
3. Try searching the iMacros Wiki - it contains the complete iMacros reference as well as plenty of samples and tutorials.
4. We can respond much faster to your posts if you include the following information: CLICK HERE FOR IMPORTANT INFORMATION TO INCLUDE IN YOUR POST
Post Reply
leannem
Posts: 1
Joined: Tue Sep 28, 2021 9:30 pm

Cannot Initiate Internet Explorer Browser

Post by leannem » Tue Sep 28, 2021 9:39 pm

Hi everyone,

Brand new here. I used iMacros about 10 years ago and today bought the enterprise version so I can manipulate the API within Microsoft Access VBA. I've just installed the latest version on Windows 10. Getting a bit frustrated because I can get the iimInit to work with Chrome, but I can't get it to work with Internet Explorer. I want it to work with Internet Explorer because I want to use the extraction wizard feature, which apparently only works in Internet Explorer and the iMacros browser.

This VBA code works:

iMac.iimInit "-cr", True, "", "", "", 300

This VBA code does NOT work:

iMac.iimInit "-ie", True, "", "", "", 300

Is it a specific version of Internet Explorer that iMacros works with? The version I have is 21H1 (OS Build 19043.1237).

Thanks,
Leanne
chivracq
Posts: 9953
Joined: Sat Apr 13, 2013 1:07 pm
Location: Amsterdam (NL)

Re: Cannot Initiate Internet Explorer Browser

Post by chivracq » Wed Sep 29, 2021 12:49 am

leannem wrote:
Tue Sep 28, 2021 9:39 pm
Hi everyone,

Brand new here. I used iMacros about 10 years ago and today bought the enterprise version so I can manipulate the API within Microsoft Access VBA. I've just installed the latest version on Windows 10. Getting a bit frustrated because I can get the iimInit to work with Chrome, but I can't get it to work with Internet Explorer. I want it to work with Internet Explorer because I want to use the extraction wizard feature, which apparently only works in Internet Explorer and the iMacros browser.

This VBA code works:

Code: Select all

iMac.iimInit "-cr", True, "", "", "", 300
This VBA code does NOT work:

Code: Select all

iMac.iimInit "-ie", True, "", "", "", 300
Is it a specific version of Internet Explorer that iMacros works with? The version I have is 21H1 (OS Build 19043.1237).

Thanks,
Leanne

I moved your Thread from the 'Installation' Sub-Forum to the 'SI' one ('SI' = 'Scripting Interface'), + pinged @TechSup, but if "today bought the enterprise version" => you should have direct Access to @TechSup through a "Support Ticket" I would think... :idea: , (woah...!, what an hassle to find the Link...!), the Forum is "only" (Advanced) Users helping other Users, myself and the other few active Helpers on the Forum are "usually" not very knowledgeable with 'SI', me at least, even if I'm the most active Helper...

>>>

But even if @TechSup get my Alert and come to have a Look at your Issue, grrr..., you need to mention your FCI "correctly"...! :idea:
... And it's a bit of a "Detective Work" to find out what your FCI is, pfff...!:

Probable FCI...?:

Code: Select all

iMB v2021.0, 'Enterprise', Win10 [21H1 (OS Build 19043.1237)]. 'SI' v2021.0.
CR: iMacros for CR v10.1.1...?, 'PE', CR93...?
IE: iMacros for IE v14.0...?, 'PE', IE11...? [v21H1 (OS Build 19043.1237)]
@TechSup don't often check the Forum, you "really" need to provide all Info they'll need "upfront", or you'll only get your Answer in 2-3 weeks if they need some supplementary Info, and they have to ask for it, just saying... :idea:

And mentioning your FCI is the "basic" Info they need... :idea:

I usually don't even try to help myself when FCI is not mentioned... :| // But I'm much "stricter" than @TechSup about FCI being mentioned or not, I'm just "a User", so I really don't care if and what License Users have, I just want to "know" the exact/full Version (+FCI) Users are using... :twisted:
- (F)CI(M) = (Full) Config Info (Missing): iMacros + Browser + OS (+ all 3 Versions + 'Free'/'PE'/'Trial').
- I don't even read the Qt if that (required) Info is not mentioned...!
- Script & URL help a lot for more "educated" Help...
Tom, Tech Support
Posts: 3732
Joined: Mon May 31, 2010 4:59 pm

Re: Cannot Initiate Internet Explorer Browser

Post by Tom, Tech Support » Fri Oct 01, 2021 2:33 pm

Hi Leanne,

In order to use iMacros for IE or the iMacros 'classic' browser that includes the extraction wizard (support for this will be added to the latest iMacros browser in a future release), you need to install iMacros 12.6. Your license will not be backward compatible with iMacros 'classic' by default. Please open a support case or contact Customer Service to request access to iMacros 12.6.
Regards,

Tom, iMacros Support
Post Reply